package com.ruoyi.ibs.grid.mapper;

import com.ruoyi.ibs.grid.domain.entity.GridCmpmCountGongsi;
import com.ruoyi.ibs.grid.domain.entity.GridCmpmCountLingshou;
import com.ruoyi.ibs.grid.domain.entity.GridCmpmCountLingshouNew825;
import com.ruoyi.ibs.grid.domain.entity.GridCustCountGongsi;
import com.ruoyi.ibs.grid.domain.entity.GridCustCountLingshou;
import com.ruoyi.ibs.grid.domain.entity.GridCustCountLingshouNew825;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;

@Mapper
public interface GridCountMapper {
    List<GridCmpmCountLingshou> selectLsCountList(HashMap<String, Object> paramMap);
    List<GridCmpmCountLingshouNew825> selectLsCountListNew825(HashMap<String, Object> paramMap);

    List<GridCmpmCountGongsi> selectGsCountList(HashMap<String, Object> paramMap);

    List<GridCustCountLingshou> selectLsCustList(HashMap<String, Object> paramMap);
    List<GridCustCountLingshouNew825> selectLsCustListNew825(HashMap<String, Object> paramMap);

    List<GridCustCountGongsi> selectGsCustList(HashMap<String, Object> paramMap);
}
